org.apache.hadoop.security.authentication.server

## Interface CompositeAuthenticationHandler

- All Superinterfaces:
    AuthenticationHandler
  All Known Implementing Classes:
    MultiSchemeAuthenticationHandler

      public interface CompositeAuthenticationHandler
      extends AuthenticationHandler

  Interface to support multiple authentication mechanisms simultaneously.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.hadoop.security.authentication.server.AuthenticationHandler

      `WWW_AUTHENTICATE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<String>` | `getTokenTypes()` This method returns the token types supported by this authentication handler.

    - ### Methods inherited from interface org.apache.hadoop.security.authentication.server.AuthenticationHandler

      `authenticate, destroy, getType, init, managementOperation`

- - ### Method Detail

    - #### getTokenTypes

          Collection<String> getTokenTypes()

      This method returns the token types supported by this authentication handler.
      Returns:
        the token types supported by this authentication handler.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.